package nl.iobyte.themepark.api.events;

import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;

public class ChangeEvent<T> extends Event {

    private static final HandlerList handlers = new HandlerList();

    private T before, after;

    public ChangeEvent(T before, T after) {
        this.before = before;
        this.after = after;
    }

    public T getBefore() {
        return before;
    }

    public T getAfter() {
        return after;
    }

    public HandlerList getHandlers() {
        return handlers;
    }

    public static HandlerList getHandlerList() {
        return handlers;
    }

}
