package nl.iobyte.themepark.api.events.ridecount;

import nl.iobyte.themepark.api.attraction.Attraction;
import nl.iobyte.themepark.api.events.ChangeEvent;
import nl.iobyte.themepark.api.ridecount.AttractionCount;

import java.util.UUID;

public class ChangeCountEvent extends ChangeEvent<Integer> {

    private Attraction attraction;
    private AttractionCount counter;
    private UUID uuid;

    public ChangeCountEvent(Attraction attraction, AttractionCount counter, UUID uuid, int before, int after) {
        super(before, after);
        this.attraction = attraction;
        this.counter = counter;
        this.uuid = uuid;
    }

    public Attraction getAttraction() {
        return attraction;
    }

    public AttractionCount getCounter() {
        return counter;
    }

    public UUID getUUID() {
        return uuid;
    }

}
