package nl.iobyte.themepark.dynmap;

import nl.iobyte.themepark.api.attraction.Attraction;
import nl.iobyte.themepark.util.Color;
import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.Location;
import org.dynmap.DynmapAPI;
import org.dynmap.markers.MarkerAPI;
import org.dynmap.markers.MarkerSet;

public class MapMarker {

    private MarkerAPI markerApi;
    private MarkerSet markerSet;

    private static MapMarker marker = new MapMarker();
    public static MapMarker getMarker() { return marker; }

    private MapMarker() {
        DynmapAPI api = (DynmapAPI) Bukkit.getServer().getPluginManager().getPlugin("dynmap");
        if(api == null)
            return;

        markerApi = api.getMarkerAPI();
        markerSet = markerApi.createMarkerSet("themepark_attractions", "Attractions", api.getMarkerAPI().getMarkerIcons(), false);
    }

    public void setAttractionMarker(Attraction attraction) {
        if(markerSet == null || attraction == null)
            return;

        Location loc = attraction.getLocation();
        if(loc == null)
            return;

        if(markerSet.findMarker(attraction.getId()) == null) {
            markerSet.createMarker(attraction.getId(), ChatColor.stripColor(Color.color(attraction.getName())), loc.getWorld().getName(), loc.getX(), loc.getY(), loc.getZ(), markerApi.getMarkerIcon("minecart"), true);
        } else {
            markerSet.findMarker(attraction.getId()).setLocation(loc.getWorld().getName(), loc.getX(), loc.getY(), loc.getZ());
        }
    }

    public void removeAttractionMarker(Attraction attraction) {
        if(markerSet == null || attraction == null)
            return;

        if(markerSet.findMarker(attraction.getId()) == null)
            return;

        markerSet.getMarkers().remove(markerSet.findMarker(attraction.getId()));
    }

}
