package nl.iobyte.themepark.menu.actions;

import nl.iobyte.menuapi.action.MenuAction;
import nl.iobyte.themepark.api.attraction.Attraction;
import nl.iobyte.themepark.api.attraction.manager.StatusManager;
import nl.iobyte.themepark.util.Color;
import nl.iobyte.themepark.util.MessageUtil;
import org.bukkit.Location;
import org.bukkit.entity.Player;

public class TPAction extends MenuAction {

    private Attraction attraction;

    public TPAction(Attraction attraction) {
        this.attraction = attraction;
    }

    @Override
    public void execute(Player player) {
        Location location = attraction.getLocation();
        if(location == null)
            return;

        if(!StatusManager.canTeleport(attraction.getStatus())) {
            String message = MessageUtil.getMessage("attraction.teleport.status");
            message = message.replace("{name}", attraction.getName());
            message = message.replace("{status}", StatusManager.getName(attraction.getStatus()));
            player.sendMessage(Color.color(message));
            return;
        }

        player.teleport(location);
        String message = MessageUtil.getMessage("attraction.teleport.success");
        message = message.replace("{name}", attraction.getName());
        player.sendMessage(Color.color(message));
    }

}
