package nl.iobyte.themepark.sign;

import nl.iobyte.themepark.api.attraction.Attraction;
import nl.iobyte.themepark.api.attraction.component.Status;
import nl.iobyte.themepark.api.attraction.manager.StatusManager;
import nl.iobyte.themepark.util.Color;
import org.bukkit.Location;
import org.bukkit.block.Sign;

public class StatusSign {

    private Attraction attraction;
    private Location location;

    public StatusSign(Attraction attraction, Location location) {
        this.attraction = attraction;
        this.location = location;
    }

    public Attraction getAttraction() {
        return attraction;
    }

    public Location getLocation() {
        return location;
    }

    public void update() {
        Status status = attraction.getStatus();
        if(!location.getChunk().isLoaded())
            location.getChunk().load();

        if(!(location.getBlock().getState() instanceof Sign)) {
            SignManager.removeSign(this);
            return;
        }

        Sign sign = (Sign) location.getBlock().getState();
        sign.setLine(1, Color.color(attraction.getName()));
        sign.setLine(2, Color.color(StatusManager.getName(status)));
        sign.update();
    }

}
